%define upstream_name    Test-Signature
%define upstream_version 1.11

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 3
Summary:        Automated SIGNATURE testing
License:        GPL+ or Artistic
Group:          Development/C
URL:            http://metacpan.org/release/%{upstream_name}
Source0:        http://www.cpan.org/authors/id/A/AU/AUDREYT/%{upstream_name}-%{upstream_version}.tar.gz
# Audrey Tang's public key (3C3501A0), from the Module::Signature 0.61 distribution
Source1:        AUDREY2006.pub
BuildArch:      noarch
# Module Build
BuildRequires:  gnupg
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
# Module Runtime
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Module::Signature)
BuildRequires:  perl(Socket)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(vars)
# Test Suite
BuildRequires:  perl(Test::More)
# Optional Tests
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(Test::Pod) >= 0.95
# Runtime
# Package just skips (or, optionally, fails) testing if Module::Signature not installed
Requires:       perl(Module::Signature)
# Likewise, needs Socket to connect to keyserver
Requires:       perl(Socket)

%description
Module::Signature allows you to verify that a distribution has not been
tampered with. Test::Signature lets that be tested as part of the
distribution's test suite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# Create a GPG directory for testing, to avoid using ~/.gnupg
mkdir --mode=0700 gnupghome
export GNUPGHOME=$(pwd)/gnupghome

# Import upstream's GPG key so we don't need to fetch it from a keyserver
# when running the signature test
gpg --import %{SOURCE1}

%build
export GNUPGHOME=$(pwd)/gnupghome
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Signature.3*



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.110.0-3.mga6
+ Revision: 1034643
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.110.0-2.mga6
+ Revision: 1002313
- Made the spec file more standard

* Thu Mar 24 2016 tv <tv> 1.11-1.mga6
+ Revision: 995051
- imported package perl-Test-Signature


* Thu Mar 24 2016 Thierry Vignaud <tv@mageia.org> 1.11-1.mga6
- import from FC
